I'm using Ubuntu 8.04 or greater. I have installed the drivers, but I am still unable to print. (Linux)

Ubuntu 8.04 or greater does not have /usr/share/cups/model directory where our driver create a ppd file.

Follow the instruction below when the installation failed with the message.

(Superuse authorization will be required)

 

  1. Uninstall the cupswrapper driver.
    Command : dpkg -P (driver name)
  2. Create /usr/share/cups/model directory.
    Command : mkdir /usr/share/cups/model
  3. Install the cupswrapper driver.
    Command : dpkg -i --force-all (driver file name)

If your question was not answered, have you checked other FAQs?

Have you checked the manuals?

If you need further assistance, please contact Brother customer service:

Related Models

DCP-7010, DCP-7030, DCP-7040, DCP-7055, DCP-7065DN, FAX-2820, FAX-2840, HL-2030, HL-2040, HL-2140, HL-2150N, HL-2170W, HL-2240D, HL-2270DW, HL-5340D, HL-5470DW, HL-6180DW, HL-7050, MFC-7220, MFC-7340, MFC-7360, MFC-7470D, MFC-7860DN, MFC-7860DW, MFC-8380DN, MFC-8510DN, MFC-8880DN

Content Feedback

To help us improve our support, please provide your feedback below.

Step 1: How does the information on this page help you?

Step 2: €Are there any comments you would like to add?

Please note this form is used for feedback only.